const VacationController = require('../controllers/vacationController');
const cron = require('node-cron');

function changeMonth() {
  const dateCourante = new Date();
  let currentMonth = dateCourante.getMonth();

  // Attendre jusqu'au prochain changement de mois
  const intervalle = setInterval(() => {
    const nowDay = new Date();
    const nowMonth = nowDay.getMonth();

    // Vérifier si le mois a changé
    if (nowMonth !== currentMonth) {
      console.log('Le mois a changé !');
      currentMonth = nowMonth;
    //   cron.schedule('30 6 * * *', () => {
        VacationController.vacationUpdateInMonth();      
    //   })
      // clearInterval(intervalle);
    }
  }, 1000); // Vérifier toutes les secondes
}

module.exports = {
    changeMonth
}